Skip to main content

Delete an nRF9x Device

DELETE 

/v1/organizations/:organization_slug/projects/:project_slug/long-range/devices/:device_id

Different API host

Send this request to https://api.nrfcloud.com, not the default Memfault API host.

Delete a single Device from a given Project.

Requires an Organization Auth Token with the device:write permission.

Deleting the device releases its claim so another project can onboard it. It also permanently removes the device's associated fleet data.


Return Value​

A 202 Accepted response with an empty body is returned once the deletion is accepted. Deleting is idempotent: deleting a device that does not exist also returns 202 Accepted.

Request​

Responses​

Accepted